## org.apache.mahout.math.hadoop.similarity.cooccurrence
Class RowSimilarityJob.MergeToTopKSimilaritiesReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.math.hadoop.similarity.cooccurrence.RowSimilarityJob.MergeToTopKSimilaritiesReducer

Enclosing class:
  RowSimilarityJob

    public static class RowSimilarityJob.MergeToTopKSimilaritiesReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`RowSimilarityJob.MergeToTopKSimilaritiesReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.IntWritable row, Iterable<VectorWritable> partials, org.apache.hadoop.mapreduce.Reducer.Context ctx)`
`protected void` `setup(org.apache.hadoop.mapreduce.Reducer.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSimilarityJob.MergeToTopKSimilaritiesReducer

    public RowSimilarityJob.MergeToTopKSimilaritiesReducer()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Reducer.Context ctx)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable row,
                          Iterable<VectorWritable> partials,
                          org.apache.hadoop.mapreduce.Reducer.Context ctx)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,VectorWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.